package cn.iocoder.byzs.module.bjdx.enums;

import cn.iocoder.byzs.framework.common.exception.ErrorCode;

/**
 * 课程 错误码枚举类
 * <p>
 * 课程，使用 1-060-000-000 段
 */
public interface ErrorCodeConstants {
    // ========== 课程 1_060_000_000 ==========
    ErrorCode COURSE_NOT_EXISTS = new ErrorCode(1_060_000_000, "课程不存在");

    // ========== 课程-类型 1_060_010_000 ==========
    ErrorCode COURSE_TYPE_NOT_EXISTS = new ErrorCode(1_060_010_001, "-课程-类型不存在");
    ErrorCode COURSE_TYPE_EXITS_CHILDREN = new ErrorCode(1_060_010_002, "存在存在子课程-类型，无法删除");
    ErrorCode COURSE_TYPE_PARENT_NOT_EXITS = new ErrorCode(1_060_010_003, "父级课程-类型不存在");
    ErrorCode COURSE_TYPE_PARENT_ERROR = new ErrorCode(1_060_010_004, "不能设置自己为父课程-类型");
    ErrorCode COURSE_TYPE_CT_TYPE_DUPLICATE = new ErrorCode(1_060_010_005, "已经存在该课程类型名称的课程-类型");
    ErrorCode COURSE_TYPE_PARENT_IS_CHILD = new ErrorCode(1_060_010_006, "不能设置自己的子CourseType为父CourseType");

    // ========== 课程配置 1_060_020_000 ==========
    ErrorCode COURSE_CONFIG_NOT_EXISTS = new ErrorCode(1_060_020_000, "课程配置不存在");

    // ========== 课程-标签 1_060_030_000 ==========
    ErrorCode COURSE_LABEL_NOT_EXISTS = new ErrorCode(1_060_030_000, "课程-标签不存在");

    // ========== 课程-试题 1_060_040_000 ==========
    ErrorCode COURSE_QUESTION_NOT_EXISTS = new ErrorCode(1_060_040_000, "课程-试题不存在");

    // ========== 课程-试题-选项 1_060_050_000 ==========
    ErrorCode COURSE_QUEST_OPTION_NOT_EXISTS = new ErrorCode(1_060_050_000, "课程-试题-选项不存在");

    // ========== 问卷 1_070_000_000 ==========
    ErrorCode QUESTIONNAIRE_NOT_EXISTS = new ErrorCode(1_070_010_000, "问卷不存在");

    // ========== 报告 1_080_000_000 ==========
    ErrorCode MANAGE_NOT_EXISTS = new ErrorCode(1_080_010_000, "报告不存在");

    // ========== 进度 1_090_000_000 ==========
    ErrorCode PROGRESS_NOT_EXISTS = new ErrorCode(1_090_010_000, "课程配置id不能为空");

    // ========== 答题 1_100_000_000 ==========
    ErrorCode QUESTIONNAIRE_RESULT_NOT_EXISTS = new ErrorCode(1_100_010_000, "答题不存在");

    // ========== 答题详情 1_101_000_000 ==========
    ErrorCode QUESTIONNAIRE_RESULT_DETAILS_NOT_EXISTS = new ErrorCode(1_101_010_000, "答题详情不存在");

}